> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enkryptai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Datasets Get Task Status



## OpenAPI

````yaml GET /datasets/task-status
openapi: 3.0.0
info:
  title: Enkrypt AI APIs
  version: 2.0.0
servers:
  - url: https://api.enkryptai.com
security:
  - apiKeyAuth: []
tags:
  - name: Guardrails
  - name: Code of Conduct
  - name: Endpoints
  - name: Datasets
  - name: Redteam
  - name: Deployments
  - name: AI Proxy
  - name: Leaderboard
  - name: Archived
  - name: MCP Hub
    description: >-
      MCP Hub vulnerability scanning APIs. Submitting scans (the POST endpoints)
      is open to all authenticated callers. The scan **retrieval** APIs — Get
      Scan Job Status, Get Complete Scan Results, List Scans, and Get MCP Hub
      Scan Statistics (the GET endpoints) — are an **enterprise data-license
      feature**: they require your organization to have MCP Hub API access
      enabled by Enkrypt, otherwise they return `403`. Contact us at
      support@enkryptai.com to enable access.
  - name: MCP Registry Servers
  - name: MCP Gateways
  - name: MCP Playground
paths:
  /datasets/task-status:
    get:
      tags:
        - Datasets
      summary: Datasets Get Task Status
      operationId: datasets_get_task_status_get
      parameters:
        - name: X-Enkrypt-Task-ID
          in: header
          schema:
            title: Task ID
            type: string
            description: The Dataset task ID
            example: data-generation-94f40d84-5b4e-4e97-a793-48357b71490a
        - name: X-Enkrypt-Dataset
          in: header
          schema:
            title: Dataset Name
            type: string
            description: The dataset name. E.g. Election
            example: Election
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetsGetTaskStatusResponse'
components:
  schemas:
    DatasetsGetTaskStatusResponse:
      title: DatasetsGetTaskStatusResponse
      type: object
      properties:
        status:
          title: DatasetsGetTaskStatusResponseStatus
          type: string
          enum:
            - Queued
            - Running
            - Finished
            - Failed
      example:
        status: Running
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: apikey

````